﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;

public class PreviewRotatorManager : MonoBehaviour, IBeginDragHandler, IDragHandler, IEndDragHandler
{
    public float startPos;
    public float clickDelta;
    public float rotSpeed;
    public float Damp;
    public Transform PreviewCharacterTransform;

    public void OnBeginDrag(PointerEventData eventData)
    {
        //Get the X position within the Preview Area that we clicked on
        startPos = Input.mousePosition.x;
    }

    public void OnDrag(PointerEventData eventData)
    {
        //Get the delta between where we clicked and where we are, turn that into
        //a rotation value to give to the model
        clickDelta = Input.mousePosition.x - startPos;

        if(clickDelta > 0)
        {
            PreviewCharacterTransform.Rotate(0, (-1 * rotSpeed) * Damp, 0);
        }

        if(clickDelta < 0)
        {
            PreviewCharacterTransform.Rotate(0, (rotSpeed) * Damp, 0);
        }
        startPos = Input.mousePosition.x;
    }

    public void OnEndDrag(PointerEventData eventData)
    {

    }
}
